petsc-3.7.7 2017-09-25
Report Typos and Errors

# VecGetLocalVector

Maps the local portion of a vector into a vector.

### Synopsis

    #include "petscvec.h"
    #undef __FUNCT__
    #define __FUNCT__ "VecGetLocalVector"
    PetscErrorCode VecGetLocalVector(Vec v,Vec w)

Collective on v, not collective on w.

### Input parameter

v -The vector for which the local vector is desired.

### Output parameter

w -Upon exit this contains the local vector.

### Notes

This function is similar to VecGetArray() which maps the local portion into a raw pointer. VecGetLocalVector() is usually about as efficient as VecGetArray() but in certain circumstances VecGetLocalVector() can be much more efficient than VecGetArray(). This is because the construction of a contiguous array representing the vector data required by VecGetArray() can be an expensive operation for certain vector types. For example, for GPU vectors VecGetArray() requires that the data between device and host is synchronized.

### See Also

VecRestoreLocalVector(), VecGetLocalVectorRead(), VecGetArrayRead(), VecGetArray()

Level:beginner
Location:src/vec/vec/interface/rvector.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages